import { RPCClientError } from '@loafer/ng-rpc/protocol';
import { Probe } from '../../model';

export interface State  {
  error: RPCClientError | null;
  isPending: boolean;
  succeed: boolean | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  succeed: null,
};

